#Bar chart with two data items # www.Tricks12345.com
import matplotlib.pyplot as plt
filename = open('chartdata.txt', 'r')
item = list() ; first = list(); second = list()
for line in filename:
  if not line.startswith('item'):
    line = line.rstrip()
    words = line.split(',')
    item.append(words[0])
    first.append(int(words[5]))
    second.append(int(words[3]))
  else:
    words = line.split(',')
    firstlabel = words[5]; secondlabel = words[3]
width = 0.3;  xtick =[]
for i,v in  enumerate(first):
      plt.bar(i+1, first[i], label = firstlabel,
              color = 'red', width = width)
      plt.bar(i+1+width, second[i], label = secondlabel,
              color = 'blue',  width = width)
      xtick.append(i+1) 
plt.xticks(xtick, item, rotation = 40, color = 'red',
           fontsize = 11) #rotation = 'vertical'
plt.title(firstlabel +' and ' +  secondlabel + ' Sales')
plt.show()

